// SPDX-FileCopyrightText: 2022 Matteo Settenvini <matteo.settenvini@montecristosoftware.eu>
// SPDX-License-Identifier: AGPL-3.0-or-later

use {
    chrono::{DateTime, Utc},
    serde::Deserialize,
};

#[derive(Deserialize, Debug)]
#[serde(rename_all = "camelCase")]
pub struct Recipe {
    #[serde(rename = "recipe_id")]
    recipe_id: u32,
    name: String,
    keywords: String,
    date_created: DateTime<Utc>,
    date_modified: DateTime<Utc>,
}
